Bug 465657 - hibernation fails with kernel warning: sysfs: duplicate filename
hibernation fails with kernel warning: sysfs: duplicate filename
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 473381
  Show dependency treegraph
 
Reported: 2008-10-05 05:24 EDT by Vedran Miletić
Modified: 2009-08-26 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 08:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2008-10-05 05:24:07 EDT
Description of problem:
Hibernation fails and causes kernel oops

Version-Release number of selected component (if applicable):
[vedran@kalopsia ~]$ uname -a
Linux kalopsia 2.6.27-0.382.rc8.git4.fc10.x86_64 #1 SMP Thu Oct 2 21:07:41 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Every time.


Steps to Reproduce:
1. System/Shut Down/Hibernate.
2. Wait.
  
Actual results:
It reboots. After that, it wouldn't boot.

Expected results:
Hibernation that works, that is shutdown and normal boot after.


Additional info:
http://www.kerneloops.org/submitresult.php?number=75550
Comment 1 Vedran Miletić 2008-10-05 10:37:40 EDT
Suspend doesn't work either on the same machine (ASROCK K10N78FullHD-hSLI R3.0) However, unlike in the case of hibernation, it suspends properly, it just doesn't wake up.
This was also submitted by kerneloops, how do I find out the issue number?
Comment 2 Geri Broser 2008-11-12 16:03:59 EST
I get this message after every regular shutdown and boot, after I updated from (2.6.27-0.352.rc7.git1.fc10.i686) to (2.6.27.4-79.fc10.i686). It still happens with (2.6.27.5-94.fc10.i686).

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x2a/0x36()
sysfs: duplicate filename '1' can not be created
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.27.5-94.fc10.i686 #1
[<c042bb3a>] warn_slowpath+0x4b/0x6c
[<c051cd00>] ? vsnprintf+0x333/0x54e
[<c04026bf>] ? __switch_to+0xb9/0x139
[<c0518635>] ? idr_get_empty_slot+0x12a/0x1d9
[<c05187b4>] ? ida_get_new_above+0xd0/0x171
[<c04cbf58>] ? sysfs_ilookup_test+0x0/0x11
[<c04a08e3>] ? ifind+0x55/0x60
[<c04cc14b>] ? sysfs_find_dirent+0x16/0x27
[<c04cc29d>] sysfs_add_one+0x2a/0x36
[<c04cc73a>] create_dir+0x43/0x68
[<c04cc78c>] sysfs_create_dir+0x2d/0x41
[<c051912c>] kobject_add_internal+0xb2/0x153
[<c0519278>] kobject_add_varg+0x35/0x41
[<c05192a4>] kobject_init_and_add+0x20/0x22
[<c05270ee>] pci_create_slot+0x93/0xe1
[<c056228c>] register_slot+0x14f/0x1e7
[<c044042c>] ? up+0x2b/0x2f
[<c05538ce>] acpi_ns_walk_namespace+0x9a/0x110
[<c05521b1>] acpi_walk_namespace+0x46/0x66
[<c056213d>] ? register_slot+0x0/0x1e7
[<c056210c>] walk_p2p_bridge+0xb7/0xe8
[<c056213d>] ? register_slot+0x0/0x1e7
[<c056213d>] ? register_slot+0x0/0x1e7
[<c056213d>] ? register_slot+0x0/0x1e7
[<c05538ce>] acpi_ns_walk_namespace+0x9a/0x110
[<c05521b1>] acpi_walk_namespace+0x46/0x66
[<c0562055>] ? walk_p2p_bridge+0x0/0xe8
[<c0562008>] acpi_pci_slot_add+0x10d/0x15a
[<c0562055>] ? walk_p2p_bridge+0x0/0xe8
[<c056213d>] ? register_slot+0x0/0x1e7
[<c0560809>] acpi_pci_register_driver+0x39/0x50
[<c08356b4>] acpi_pci_slot_init+0x17/0x1b
[<c0401125>] _stext+0x3d/0x115
[<c083569d>] ? acpi_pci_slot_init+0x0/0x1b
[<c0464a58>] ? register_irq_proc+0x92/0xae
[<c0464ab1>] ? init_irq_proc+0x3d/0x4a
[<c0814362>] kernel_init+0x177/0x1c5
[<c08141eb>] ? kernel_init+0x0/0x1c5
[<c04048f7>] kernel_thread_helper+0x7/0x10
=======================
---[ end trace a7919e7f17c0a725 ]---


Kernel failure message 2:
------------[ cut here ]------------
WARNING: at fs/sysfs/dir.c:463 sysfs_add_one+0x2a/0x36()
sysfs: duplicate filename '1' can not be created
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.27.4-79.fc10.i686 #1
[<c042bb3a>] warn_slowpath+0x4b/0x6c
[<c0520d00>] ? vsnprintf+0x29b/0x54e
[<c04026bf>] ? __switch_to+0xb9/0x139
[<c051c6cd>] ? idr_get_empty_slot+0x12a/0x1d9
[<c051c84c>] ? ida_get_new_above+0xd0/0x171
[<c04cc290>] ? sysfs_ilookup_test+0x0/0x11
[<c04a0c1f>] ? ifind+0x55/0x60
[<c04cc483>] ? sysfs_find_dirent+0x16/0x27
[<c04cc5d5>] sysfs_add_one+0x2a/0x36
[<c04cca72>] create_dir+0x43/0x68
[<c04ccac4>] sysfs_create_dir+0x2d/0x41
[<c051d1c4>] kobject_add_internal+0xb2/0x153
[<c051d310>] kobject_add_varg+0x35/0x41
[<c051d33c>] kobject_init_and_add+0x20/0x22
[<c052b17a>] pci_create_slot+0x93/0xe1
[<c056627c>] register_slot+0x14f/0x1e7
[<c044042c>] ? up+0x2b/0x2f
[<c055795e>] acpi_ns_walk_namespace+0x9a/0x110
[<c0556241>] acpi_walk_namespace+0x46/0x66
[<c056612d>] ? register_slot+0x0/0x1e7
[<c05660fc>] walk_p2p_bridge+0xb7/0xe8
[<c056612d>] ? register_slot+0x0/0x1e7
[<c056612d>] ? register_slot+0x0/0x1e7
[<c056612d>] ? register_slot+0x0/0x1e7
[<c055795e>] acpi_ns_walk_namespace+0x9a/0x110
[<c0556241>] acpi_walk_namespace+0x46/0x66
[<c0566045>] ? walk_p2p_bridge+0x0/0xe8
[<c0565ff8>] acpi_pci_slot_add+0x10d/0x15a
[<c0566045>] ? walk_p2p_bridge+0x0/0xe8
[<c056612d>] ? register_slot+0x0/0x1e7
[<c05647f9>] acpi_pci_register_driver+0x39/0x50
[<c0860998>] acpi_pci_slot_init+0x17/0x1b
[<c0401125>] _stext+0x3d/0x115
[<c0860981>] ? acpi_pci_slot_init+0x0/0x1b
[<c0464a38>] ? register_irq_proc+0x92/0xae
[<c0464a91>] ? init_irq_proc+0x3d/0x4a
[<c083f362>] kernel_init+0x177/0x1c5
[<c083f1eb>] ? kernel_init+0x0/0x1c5
[<c04048f7>] kernel_thread_helper+0x7/0x10
=======================
---[ end trace a7919e7f17c0a725 ]---
Comment 3 Bug Zapper 2008-11-25 22:34:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vedran Miletić 2009-08-26 08:18:02 EDT
Sorry, I don't have this board anymore, so there is no way to test it. Closing.

Note You need to log in before you can comment on or make changes to this bug.